Package org.linphone.core

# Enum Class BaudotStandard

java.lang.Object
java.lang.Enum<BaudotStandard>
org.linphone.core.BaudotStandard

All Implemented Interfaces:
  `Serializable`, `Comparable<BaudotStandard>`, `Constable`

public enum BaudotStandard extends Enum<BaudotStandard>
`BaudotStandard` enum represents the Baudot standard to use to send
Baudot tones in the call.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Europe`
Send 50 baud European Baudot tones.
`Us`
Send 45.45 baud US Baudot tones.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static BaudotStandard`
`fromInt(int value)`
`protected static BaudotStandard[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(BaudotStandard[] values)`
`static BaudotStandard`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BaudotStandard[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Us

public static final BaudotStandard Us
Send 45.45 baud US Baudot tones.

### Europe

public static final BaudotStandard Europe
Send 50 baud European Baudot tones.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static BaudotStandard[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BaudotStandard valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static BaudotStandard fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static BaudotStandard[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(BaudotStandard[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()